function showHeader()
{
	var documentType = getDocumentType(window.location);
	
	var headerDoc = top.frame_header.document;
	headerDoc.open();
	headerDoc.writeln("<H2 style='color:#008080'>Track-It! 20.20 Release 03</H2>");
	headerDoc.writeln("<H3 style='color:#FF8C00'>Database Schema Details</H3>");
	headerDoc.writeln("<table border=0 valign=top width='100%'><tr><td valign=top align=left>");
	headerDoc.writeln(getLinkMarkup("Home", "index.xml"));

	if (documentType != "index")
	{
		headerDoc.writeln(getSeparator(">") + getLinkMarkup(getDocumentTypeLabel(documentType), "index.xml"));
		headerDoc.writeln(getSeparator(">") + document.getElementById("objectDisplayName").value);
	}
        headerDoc.writeln("</td><td align=right valign=top></td>");
        headerDoc.writeln("</tr></table>");
	headerDoc.writeln("<hr>");

	var anchors = document.getElementsByTagName('A');
	var first = true;
	for (i=0; i<anchors.length; i++)
	{
		var anchor = anchors[i].getAttribute("NAME");
		var internalAnchor = anchors[i].getAttribute("internal");
		if (anchor != null && anchor != "" && internalAnchor == null)
		{
			if (first)
				first = false;
			else
				headerDoc.write(getSeparator("|"));
			headerDoc.writeln(getScrollLinkMarkup(anchor, ""));
		}
	}
	headerDoc.close();
}

function getSeparator(x)
{
	return "&nbsp;&nbsp;" + x + "&nbsp;&nbsp;";
}

function getDocumentType(x)
{
	var s = "" + x;
	var i = s.lastIndexOf("/");
	if (s.substring(i + 1, i + 6) == "index")
		return "index";
	return s.substring(i + 1, i + 2);
}

function getDocumentTypeLabel(x)
{
	if (x == "m")
		return "Modules";
	if (x == "f")
		return "Forms";
	if (x == "n")
		return "Navigators";
	if (x == "b")
		return "Business Rules";
	if (x == "g")
		return "Groups";
	if (x == "s")
		return "Self Service Forms";
	if (x == "c")
		return "Self Service Navigators";
	if (x == "i")
		return "Integration Packages";
}

function scrollToTag(x)
{
	var anchors = document.getElementsByTagName('A');
	for (i=0; i<anchors.length; i++)
	{
		var anchor = anchors[i].getAttribute("NAME");
		if (anchor != null && anchor != "")
		{
			if (anchor == x)
			{
				anchors[i].scrollIntoView();
				return;
			}
		}
	}
}

function getLinkMarkup(linkText, linkURL)
{
	return '<a target="frame_body" href="' + linkURL + '#' + linkText + '">' + linkText + '</a>';
}

function getScrollLinkMarkup(linkText, linkURL)
{
	return '<a href="javascript:top.frame_body.scrollToTag(' + "'" + linkText + "'" + ')">' + linkText + '</a>';
}


/*  Copyright 2010-2018 BMC Software, Inc. */
/* The source code embodied herein is a trade secret of BMC Software, Inc. All use, disclosure, and/or reproduction not specifically and expressly authorized, in writing, by BMC Software, Inc. is prohibited. */
